GTK-FORTRAN-MODSCAN(1)

NAME
gtk-3-fortran-modscan - scan one or more Fortran sources for GTK functions.

SYNOPSIS
gtk-3-fortran-modscan [--csv=CSVFILE] [--enum=ENUMFILE] [--out=OUTFILE] [--[no]link] [INFILES]

DESCRIPTION
gtk-3-fortran-modscan is a utility to find the GTK (and related library) functions used in a Fortran program and generate appropriate USE statements. Using the generated USE statements rather than the entire module(s) can produce a manyfold improvement in compilation times, and also any module files that use GTK will be many times smaller. This version uses the function lists for GTK 3 by default.

OPTIONS

--csv=CSVFILE
    Specify a list of functions other than the default.

--enum=ENUMFILE
    Specify a list of enumeration constants other than the default.

--out=OUTFILE
    Specify the output file for the generated USE statements (default is gtk-modules.txt)

--[no]link
    Specify whether to scan symbolic links (default is yes). This is only applicable when scanning all the files in a directory.

INPUTS
The inputs may be either a list of Fortran source files or a single directory. If no inputs are given then the current directory is used. If a directory (including the current) is specified, then only those files that have an ending .f90, .f95, .f03 or .f08 (case insensitive) will be scanned.

AUTHORS

James Tappin (jtappin at gmail dot com).

LICENCE

gtk-3-fortran-modscan is free software and may be modified and redistributed under the terms of the GNU General Public Licence Version 3.